DEBI(1)

BEZEICHNUNG
debi - installiert die aktuelle Version eines erzeugten Debian-Pakets

ÜBERSICHT
debi [Optionen] [Changes-Datei] [Paket …]

BESCHREIBUNG
debi findet die aktuelle Version eines Pakets heraus und installiert sie. Falls eine .changes-Datei auf der Befehlszeile angegeben wurde, muss der Dateiname auf .changes enden, da das Programm sie auf diese Weise von Paketnamen unterscheidet. Falls nicht, muss debi aus dem Quellcodeverzeichnisbaum heraus aufgerufen werden. In diesem Fall wird es nach der .changes-Datei suchen, die zur aktuellen Paketversion passt (durch Bestimmen des Namens und der Versionsnummer aus dem Changelog und der Architektur auf die gleiche Art, die dpkg-buildpackage(1) verwendet). Dann führt es debpkg -izur Installation für jedes .deb-Archiv aus, das in der .changes-Datei aufgeführt ist. Dabei wird davon ausgegangen, dass alle .deb-Archive im selben Verzeichnis wie die .changes-Datei liegen. Beachten Sie, dass Sie dieses Programm vermutlich nicht für eine .changes-Datei ausführen möchten, die sich auf eine andere Architektur nach dem Cross-Kompilieren des Pakets bezieht.

Falls auf der Befehlszeile eine Liste von Paketen angegeben wurde, dann werden nur diese Debs installiert, deren Namen in der Paketliste stehen.

Da das Installieren eines Pakets Root-Rechte erfordert, ruft debi direkt debpkg anstelle von dpkg auf. Daher wird debi nur von Nutzen sein, falls es entweder als Root ausgeführt wird oder debpkg als Root ausgeführt werden kann. Siehe debpkg(1) für weitere Einzelheiten.

Prüfung von Verzeichnisnamen
Ebenso wie mehrere andere Skripte im Paket devscripts wird debi den Verzeichnisbaum heruntersteigen, bis es eine debian/changelog-Datei findet. Als eine Schutzmaßnahme gegen verirrte Dateien, die möglicherweise Probleme bereiten, wird es den Namen des übergeordneten Verzeichnisses untersuchen, sobald es eine debian/changelog-Datei findet und prüfen, ob der Verzeichnisname dem Paketnamen entspricht. Wie dies genau geschieht, wird durch die beiden Konfigurationsdateivariablen DEVSCRIPTS_CHECK_DIRNAME_LEVEL und DEVSCRIPTS_CHECK_DIRNAME_REGEX sowie ihre entsprechenden Befehlszeilenoptionen --check-dirname-level und --check-dirname-regex geregelt.

DEVSCRIPTS_CHECK_DIRNAME_LEVEL kann die folgenden Werte annehmen:

0   prüft den Verzeichnisnamen nie.

1   prüft den Verzeichnisnamen nur, falls in der Suche nach debian/changelog das Verzeichnis gewechselt werden muss. Dies ist das Standardverhalten.

2   prüft den Verzeichnisnamen immer.

Der Verzeichnisname wird geprüft, indem getestet wird, ob der aktuelle Verzeichnisname (wie er durch pwd(1) bestimmt wurde) zum regulären Ausdruck passt, der durch die Konfigurationsdateioption DEVSCRIPTS_CHECK_DIRNAME_REGEX oder die Befehlszeilenoption --check-dirname-regex regulärer_Ausdruck angegeben wurde. Hierbei ist regulärer_Ausdruck ein regulärer Perl-Ausdruck (siehe perlre(3perl)), der an den Anfang und das Ende verankert wird. Falls regulärer_Ausdruck ein »/« enthält, muss er auf den vollständigen Verzeichnispfad passen. Wenn nicht, dann muss er auf den vollständigen Verzeichnisnamen passen. Falls regulärer_Ausdruck die Zeichenkette »PACKAGE« beinhaltet, wird diese durch den Namen des Quellpakets ersetzt, wie er aus dem Changelog bestimmt wird. Der vorgegebene Wert für den regulären Ausdruck ist: »PACKAGE(-.+)?«, daher entspricht er Verzeichnisnamen wie PACKAGE und PACKAGE-Version.

OPTIONEN

-aDebian-Architektur, -tGNU-Systemtyp
    Eine Beschreibung dieser Optionen finden Sie unter dpkg-architecture(1). Sie beeinflussen die Suche nach der .changes-Datei. Sie werden bereitgestellt, um das Verhalten von dpkg-buildpackage nachzumachen, wenn der Name der .changes-Datei festgestellt wird.

--debs-dir Verzeichnis
    sucht nach .changes- und .deb-Dateien in Verzeichnis statt im übergeordneten Verzeichnis des Quellverzeichnisses. Dies sollte entweder ein absoluter Pfad oder relativ zur Wurzel des Quellverzeichnisses sein.

-m, --multi
    sucht nach einer Multiarch-.changes-Datei, wie sie von dpkg-cross erstellt wird.

-u, --upgrade
    führt nur ein Upgrade von Paketen durch, die bereits auf dem System installiert sind, anstatt alle in der .changes-Datei aufgeführten Pakete zu installieren. Nützlich für Pakete mit mehreren Binärpaketen, wenn Sie nicht möchten, dass alle Binärpakete auf einmal installiert werden.

--check-dirname-level N
    Die Erklärung dieser Option finden Sie im vorhergehenden Abschnitt Prüfung von Verzeichnisnamen.

--check-dirname-regex regulärer_Ausdruck
    Die Erklärung dieser Option finden Sie im vorhergehenden Abschnitt Prüfung von Verzeichnisnamen.

--with-depends
    versucht, die Depends (Abhängigkeiten) eines Pakets bei der Installation aufzulösen.

--tool Werkzeug
    benutzt das angegebene Werkzeug, um die Abhängigkeiten der zu installierenden Pakete zu installieren. Standardmäßig wird apt-get benutzt.

--no-conf, --noconf
    keine Konfigurationsdateien lesen, Dies kann nur als erste auf der Befehlszeile angegebene Option benutzt werden.

--help, --version
    zeigt Hilfenachricht beziehungsweise Versionsinformationen.

KONFIGURATIONSVARIABLEN
Die beiden Konfigurationsdateien /etc/devscripts.conf und ~/.devscripts werden in dieser Reihenfolge eingelesen, um Konfigurationsvariablen zu setzen. Befehlszeilenoptionen können benutzt werden, um Einstellungen in Konfigurationsdateien zu setzen. Einstellungen in Umgebungsvariablen werden zu diesem Zweck ignoriert. Die derzeit bekannten Variablen sind:

DEBRELEASE_DEBS_DIR
    Dies gibt das Verzeichnis an, in dem nach den .changes- und .deb-Dateien gesucht wird. Es ist entweder ein absoluter Pfad oder relativ zur obersten Ebene des Quellverzeichnisbaums. Dies entspricht der Befehlszeilenoption --debs-dir. Diese Direktive kann zum Beispiel benutzt werden, falls Sie immer pbuilder oder svn-buildpackage verwenden, um Ihre Pakete zu bauen. Beachten Sie, dass es außerdem debrelease(1) auf die gleiche Weise beeinflusst, daher der merkwürdige Name der Option.

DEVSCRIPTS_CHECK_DIRNAME_LEVEL, DEVSCRIPTS_CHECK_DIRNAME_REGEX
    Die Erklärung dieser Variablen finden Sie im vorhergehenden Abschnitt Prüfung von Verzeichnisnamen. Beachten Sie, dass dies paketweite Konfigurationsvariablen sind und daher alle devscripts-Skripte beeinflussen, die ihren Wert prüfen. Dies wird in ihren jeweiligen Handbuchseiten und in devscripts.conf(5) beschrieben.

SIEHE AUCH
debpkg(1) und devscripts.conf(5)

AUTOR
debi wurde ursprünglich von Christoph Lameter <clameter@debian.org> geschrieben. Das heute nicht mehr funktionierende Skript debit wurde ursprünglich von James R. Van Zandt <jrv@vanzandt.mv.com> geschrieben. Sie wurden zusammen mit debc(1) zu einem Skript geformt und Teile davon ausgiebig durch Julian Gilbey <jdg@debian.org> verändert.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.